Subject: bug#50743: Emacsclient not tested vs. Local Variables prompt

From: martin rudalics <[email-masked]>
Date: Mon, 27 Sep 2021 10:50:27 +0200

>> If the Emacs frame is not on top of the terminal frame, my argument is
 >> obviously void.
 >
 > What if the Emacs frame is "near" the terminal frame?
 >
 > Or what do you mean by "on top of"?

By "on top of" I mean "substantially" obscuring the terminal frame which
means that the current position of the terminal frame's cursor is not
visible because the Emacs frame covers it.

It's obvious that Emacs cannot detect that situation by itself (I even
doubt that it would be always possible for it to find out whether it
partially obscures another frame).  Hence, if possible, we should
probably try to not produce a situation where an Emacs frame is on top
of another frame and does not have focus.  Whether this is always
feasible with all window managers is something I cannot tell.

martin